<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

/* * ***********************************************************************
 * Users App for Watchful
 * Copyright (c) 2006-2020 Watchful
 * ************************************************************************
 * Watchful.net is a web site monitoring and security service.
 * 
 * Although Watchful.net is a paid service, this program is free software;
 * you can redistribute it and/or modify it under the terms of the GNU 
 * General Public License as published by the Free Software Foundation; 
 * either version 2 of the License, or (at your option) any later version.
 *
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 * ************************************************************************
 * Get the latest version of this program at: https://watchful.net
 * *********************************************************************** */
class JElementUsersGroups extends JElement
{
    public $_name = 'UsersGroups';

    public function fetchElement($name, $value, &$node, $control_name)
    {
        $options = array();
        if (!is_array($value))
            $value = array($value);

        $db = & JFactory::getDbo();
        $query = "SELECT id, name FROM #__core_acl_aro_groups WHERE id NOT IN (17,28,29,30)"; // exclude hidden system groups
        $db->setQuery($query);
        if ($usersgroups = $db->loadObjectList())
        {
            $input_name = $control_name . '[' . $name . '][]';
            foreach ($usersgroups as $usersgroup)
            {
                $checked = in_array($usersgroup->id, $value) ? ' checked="checked"' : ' ';
                $options[] = '<input name="' . $input_name . '" type="checkbox"' . $checked . 'value="' . $usersgroup->id . '">' . $usersgroup->name;
            }
        }
        return implode("<br />", $options);
    }

}
